Subject: Re: bug#71732: 30.0.50; [FR] xdg: provide an ability to create XDG directory, if it does not exist
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 23 Jun 2024 15:36:37 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 23 Jun 2024 12:28:48 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I am asking to provide an API function that will create XDG dir with
> >> appropriately assignment permissions. It will be up to the xdg.el caller
> >> to use that API function.
> >
> > Like I said earlier: this is a two-liner:
> >
> >   (with-file-modes 0700
> >     (make-directory DIR t))
> >
> > where the value 0700 is something the Lisp program should control.
> 
> Yes, it is a two-liner, but 0700 requires familiarity with XDG.

No, it doesn't.  It requires the decision which modes to use, which is
independent of what XDG mandates.

> 
> > I see no reason to provide an API for such simple code, let alone do
> > that in xdg.el.
> >
> > And if you still don't agree, let's at least agree to disagree.
> > because this argument begins to revisit what was already said.
> 
> Ok. Then, feel free to close the feature request.

Done.